Show / Hide Table of Contents

# Class OpenIddictScopeCache<TScope>

Provides methods allowing to cache scopes after retrieving them from the store.

##### Inheritance

System.Object
OpenIddictScopeCache<TScope>

##### Implements

System.IDisposable

###### Namespace: OpenIddict.Core

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictScopeCache<TScope> : IOpenIddictScopeCache<TScope>, IDisposable where TScope : class

##### Type Parameters

Name | Description
--- | ---
TScope | The type of the Scope entity.

### Constructors

#### OpenIddictScopeCache(IOptionsMonitor<OpenIddictCoreOptions>, IOpenIddictScopeStoreResolver)

##### Declaration

    public OpenIddictScopeCache(IOptionsMonitor<OpenIddictCoreOptions> options, IOpenIddictScopeStoreResolver resolver)

##### Parameters

Type | Name | Description
--- | --- | ---
IOptionsMonitor<OpenIddictCoreOptions> | options |
IOpenIddictScopeStoreResolver | resolver |

### Methods

#### AddAsync(TScope, CancellationToken)

##### Declaration

    public ValueTask AddAsync(TScope scope, CancellationToken cancellationToken)

##### Parameters

Type | Name | Description
--- | --- | ---
TScope | scope |
CancellationToken | cancellationToken |

##### Returns

Type | Description
--- | ---
ValueTask |

#### Dispose()

##### Declaration

    public void Dispose()

#### FindByIdAsync(String, CancellationToken)

##### Declaration

    public ValueTask<TScope> FindByIdAsync(string identifier, CancellationToken cancellationToken)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | identifier |
CancellationToken | cancellationToken |

##### Returns

Type | Description
--- | ---
ValueTask<TScope> |

### Implements

System.IDisposable